% -------------------------------------------------------------------------
% INSTITUTE    : University of Western Ontario
% FILENAME     : ICCExcelTable.m 
% FILE TYPE    : Function
% VERSION      : 1.0
% AUTHOR       : Anthony Bertone
% -------------------------------------------------------------------------
% REVISION HISTORY
% -------------------------------------------------------------------------
% 
%  1.0, 2014-08-05, Anthony Bertone (anthony.m.bertone@gmail.com)
%    - Initial Release
%
% -------------------------------------------------------------------------
% DESCRIPTION
% -------------------------------------------------------------------------
%
% Converts each ICCTABLE cell array of doubles to a cell array of strings.
% data_labels and comparison_labels are inserted into cell array.
%
% -------------------------------------------------------------------------
% -------------------------------------------------------------------------
% -------------------------------------------------------------------------

function [ strICCtable ] = ICCExcelTable( ICCTABLE, data_labels, comparison_labels )

    [rows, col] = size(ICCTABLE);    
    str_table = num2cellstr(ICCTABLE);
    str_table = insertrows(str_table, data_labels,[0 rows]);    % insert labels before row 1
                                                                % insert row of null char at end of table
    strICCtable = [comparison_labels str_table(:, 1:col)];      % insert comparison labels before col 1
  
end

