function ICCtable = do_ICC(D)

% ICCtable = do_ICC(D)
%
% D is a NxMxP matrix
%   N samples, 
%   M categories (the first one is the "base" for ICC, against which all other categories are compared)
%   P cases (subjects, channels)

ncases=size(D,3);
ncategories=size(D,2);

ICCtable=zeros(ncategories-1, ncases);

for x = 1:ncases
    for y = 2:ncategories
        ICCtable(y-1,x) = ICC(D(:,y,x), D(:,1,x));
    end
end
