function C = read_channel_names(filename)
% C= read_channel_names(filename)
%   read channel names from a text file

f = fopen(filename);

if (f== -1)
    error(['Channels file, "' filename '" not found!']);
end

x = textscan(f,'%s');
C=x{1};

fclose(f);

% x = textscan(fileID,formatSpec) reads data from an open text file into cell array, x. 
% The text file is indicated by the file identifier, fileID. Use fopen to open the file and obtain the fileID value. 
% When you finish reading from a file, close the file by calling fclose(fileID).

% textscan attempts to match the data in the file to formatSpec, which is a string of conversion specifiers.
% C = x{1} column 1 of x is passed to C.